package main

import (
    limit "github.com/gin-contrib/size"
    "github.com/gin-gonic/gin"

    "github.com/leafee98/paste-abroad/internel/router"
    "github.com/leafee98/paste-abroad/internel/config"
    "github.com/leafee98/paste-abroad/internel/storage/sqlite"

    "fmt"
)

func main() {
    c, err := config.Load("./config.toml")
    if err != nil {
        fmt.Printf("Error when loading config: %v", err)
        return
    }

    store, err := sqlite.New(c.DBString, c.IdLength)
    if err != nil {
        fmt.Println(err)
    }

    r := gin.Default()

    r.Use(limit.RequestSizeLimiter(c.MaxPasteSize))

    router.Init(r, store, c.DefaultLifetime)

    r.Run(":8081")
}

